|  | Home | Documentation | isapi.cpp File Reference updated Mon Feb 22 2016 |

- Main Page
- Classes
- Files

- File List
- File Members

Functions
isapi.cpp File Reference
`#include "ISAPI_Server.h"`
Include dependency graph for isapi.cpp:

## Functions
DWORD WINAPI | HttpExtensionProc (EXTENSION_CONTROL_BLOCK *pECB)
BOOL WINAPI | GetExtensionVersion (HSE_VERSION_INFO *pVer)
BOOL WINAPI | TerminateExtension (DWORD dwFlags)

## Detailed Description

ISAPI extension entry points.

## Function Documentation

BOOL WINAPI GetExtensionVersion | ( | HSE_VERSION_INFO * | pVer | ) |

The required ISAPI Extension DLL entry point. points to extension version info structure

Returns
  always returns TRUE

DWORD WINAPI HttpExtensionProc | ( | EXTENSION_CONTROL_BLOCK * | pECB | ) |

called for every request to this dll

BOOL WINAPI TerminateExtension | ( | DWORD | dwFlags | ) |

Last call from IIS before the extension is terminated.